import request from "@/utils/request.js";
import Cache from "@/utils/cache.js";
import { APP_CODE } from "@/config/app.js";
/**
 * 获取用户信息
 *
 */
export function getUserInfo() {
  return request.get(`user?appCode=${APP_CODE}`);
}
/**
 * h5用户手机号登录
 * @param data object 用户手机号 也只能
 */
export function loginMobile(data) {
  return request.post("login/mobile", data, { noAuth: true });
}

// 根据用户ID查询用户等级详细信息
export function getUserLevelInfo(userId) {
  return request.get(`user/level/detail-v16/${userId}`);
}

/**
 * 静默绑定推广人
 * @param {Object} puid
 */
export function spread(puid) {
  return request.get("user/bindSpread?spreadPid=" + puid);
}

/**
 * h5用户登录
 * @param data object 用户账号密码
 */
export function loginH5(data) {
  return request.post("login", data, { noAuth: true });
}

/**
 * 获取他人用户信息
 *
 */
export function getOtherUserInfo(id) {
  return request.get(`other/${id}`);
}
/**
 * 获取用户openId
 *
 */
export function getUserOpenId(code) {
  return request.get(`wxpay/v2/mini/openid?code=${code}&type=${APP_CODE}`);
}
/**
 * h5用户手机号注册
 * @param data object 用户手机号 验证码 密码
 */
export function register(data) {
  return request.post("register", data, { noAuth: true });
}
/**
 * h5用户发送验证码
 * @param data object 用户手机号
 */
export function registerVerify(phone) {
  return request.post("sendCode", { phone: phone }, { noAuth: true }, 1);
}
/**
 * 用户手机号修改密码
 * @param data object 用户手机号 验证码 密码
 */
export function registerReset(data) {
  return request.post("register/reset", data, { noAuth: true });
}

/**
 * 获取单个地址
 * @param int id
 */
export function getAddressDetail(id) {
  return request.get("address/detail/" + id);
}
/**
 * 获取默认地址
 *
 */
export function getAddressDefault() {
  return request.get("address/default");
}
/**
 *
 * 地址列表
 * @param object data
 */
export function getAddressList(data) {
  return request.get("address/list", data);
}
/**
 * 验证码key
 */
export function getCodeApi() {
  return request.get("verify_code", {}, { noAuth: true });
}
/**
 * 生成二维码
 *
 */
export function getQrcode(data) {
  return request.get("qrcode", data);
}
/**
 * armg-2025/8/21-获取协议
 * @param name 协议代码
 *  xy_zcsm：资产说明
 *  xy_mryz：每日一攒
 *  xy_cjxy：存金协议
 *  xy_cjgz：存金规则
 *  xy_mjxy：买金协议
 * xy_hkxy: 还款协议
 */
export function agreementGetoneApi(data) {
  return request.get(`agreement/getone`, data);
}

/**
 * 获取用户支付账户列表
 */
export function getAccountList(data) {
  return request.get("user/account/list", data);
}

/**
 * 添加或更新支付账户
 */
export function saveAccount(data) {
  return request.post("user/account/save", data);
}
/**
 * 删除支付账户
 */
export function deleteAccount(id) {
  return request.post(`user/account/delete/${id}`);
}
/**
 * 修改 添加地址
 * @param object data
 */
export function editAddress(data) {
  return request.post("address/edit", data);
}
/**
 * 设置默认地址
 * @param int id
 */
export function setAddressDefault(id) {
  return request.post("address/default/set", { id: id });
}
/**
 * 删除地址
 * @param int id
 *
 */
export function delAddress(id) {
  return request.post("address/del", { id: id });
}
// 更改支付密码
export function registerpayPasswordAPI(data) {
  return request.post("register/payPassword", data);
}
// 支付密码确认
export function userPayPasswordConfirmAPI(data) {
  return request.post("user/payPassword/confirm", data);
}
/**
 * 修改用户信息
 * @param object
 */
export function userEdit(data) {
  return request.post("user/edit", data);
}
/**
 * 获取默认支付账户
 */
export function getDefaultAccount() {
  return request.get(`user/account/default`);
}
/**
 * 提现
 */
export function withdrawToCard(data) {
  return request.post("extract/cash", data);
}

/**
 * 企微客服列表
 *
 */
export function getCustomerServiceList(data) {
  return request.get("customer-service/list", data);
}

/**
 * 实名认证
 */
export function faceVerify(data) {
  return request.post(`faceVerify/hminit`, data);
}

/**
 * 获取实名认证状态
 */
export function getFaceVerify(data) {
  return request.post(`faceVerify/list`, data);
}
/**
 * 微信登录
 *
 */
export function wxLogin(data) {
  return request.post("login/loginAuthorize", data, {
    noAuth: true,
    noVerify: true,
  });
}
